org.eclipse.microprofile.faulttolerance.exceptions

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceException
        - - org.eclipse.microprofile.faulttolerance.exceptions.TimeoutException

All Implemented Interfaces:
  Serializable

    public class TimeoutException
    extends FaultToleranceException

The exception should be thrown when timeout is reached. Emily Jiang

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeoutException()`
`TimeoutException(String message)`
`TimeoutException(String message, Throwable t)`
`TimeoutException(Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeoutException

    public TimeoutException()

#### TimeoutException

    public TimeoutException(Throwable t)

#### TimeoutException

    public TimeoutException(String message)

#### TimeoutException

    public TimeoutException(String message,
                            Throwable t)